Loading...
Searching...
No Matches
AbstractGenerator.h File Reference
`#include <functional>`
`#include <map>`
`#include <string>`
`#include <vector>`
`#include "Callable.h"`
`#include "Expr.h"`
`#include "Func.h"`
`#include "Module.h"`
`#include "Parameter.h"`
`#include "Pipeline.h"`
`#include "Schedule.h"`
`#include "Target.h"`
`#include "Type.h"`

Go to the source code of this file.

## Classes

class | Halide::Internal::AbstractGenerator
| AbstractGenerator is an ABC that defines the API a Generator must provide to work with the existing Generator infrastructure (GenGen, RunGen, execute_generator(), Generator Stubs). More...
struct | Halide::Internal::AbstractGenerator::ArgInfo
| ArgInfo is a struct to contain name-and-type information for the inputs and outputs to the Pipeline that build_pipeline() will return. More...

## Namespaces

namespace | Halide
| This file defines the class FunctionDAG, which is our representation of a Halide pipeline, and contains methods to using Halide's bounds tools to query properties of it.
namespace | Halide::Internal

## Typedefs

using | Halide::GeneratorParamsMap = std::map<std::string, std::string>
using | Halide::Internal::AbstractGeneratorPtr = std::unique_ptr<AbstractGenerator>

## Enumerations

enum class | Halide::Internal::ArgInfoKind { Halide::Internal::Scalar , Halide::Internal::Function , Halide::Internal::Buffer }
enum class | Halide::Internal::ArgInfoDirection { Halide::Internal::Input , Halide::Internal::Output }